<!-- eslint-disable -->
<template>
  <section id="books-list">
    <ul>
        <li class="book-title pb-4">
          {{ book.title }}
        </li>
        <li class="book-image">
            <router-link :to="{name: 'OneBook', params: {id: book.id}}"><img :src="book.image" :alt="book.title"></router-link>
        </li>
        <li class="book-author pt-3">
            <small>{{ book.author.fullname }}</small>
        </li>
        <li class="book-categories" v-for="bookCat in book.categories" :key="bookCat.id">
          <small>{{ bookCat.title }}</small>
        </li>
    </ul>
  </section>
</template>

<script>
// @ is an alias to /src
export default {
  props: {
    book: Object,
  },
};
</script>

<style lang="scss">

#books-list {
  ul {
    list-style: none;

    li {
      img {
        max-width: 150px;
        // max-height: 310px;
        transition-duration: 1.2s;
        // border: 1px solid #9e9e9ebe;
      }

      img:hover {
        transform: scale(1.1);
        box-shadow: 1px 1px 20px #636363ea;
      }
    }
    .book-title {
      text-transform: uppercase;
      letter-spacing: 2px;
      font-size: 13px;
      color: #575757;
    }
  }
}

</style>
